Subject: bug#58307: 29.0.50; Fix battery mode over TRAMP on *BSD

From: Stefan Kangas <[email-masked]>
Date: Wed, 5 Oct 2022 15:51:35 -0700

Manuel Giraud <[email-masked]> writes:

> @@ -929,13 +933,13 @@ battery-bsd-apm
>  %t Remaining time (to charge or discharge) in the form `h:min'"
>    (let* ((os-name (car (split-string
>                          ;; FIXME: Can't we use something like `system-type'?
> -                        (shell-command-to-string "/usr/bin/uname"))))
> +                        (call-process-to-string "/usr/bin/uname"))))

Here's a minor nit:

I realize that the OpenBSD folks are not likely to move uname to /bin
(which is its location on my GNU/Linux system, for example), but I'd
probably still prefer

    (executable-find "uname")

to hard coding its location.